import QtQuick 2.0
import Ubuntu.Components 0.1
import "ui/movie"
import "ui/tv"
import "ui/person"
import "ui/home"
import "ui"

MainView {
    // objectName for functional testing purposes (autopilot-qt5)
    objectName: "mainView"

    // Note! applicationName needs to match the "name" field of the click manifest
    applicationName: "com.ubuntu.developer.nik90.cliffhanger"

    /*
     This property enables the application to change orientation
     when the device is rotated. The default is false.
    */
    automaticOrientation: true

    width: units.gu(50)
    height: units.gu(75)

    // TODO: This is a temporary app background. Final background color needs to be decided.
    backgroundColor: UbuntuColors.coolGrey

    PageStack {
        id: pagestack

        Component.onCompleted: push(root);

        Tabs {
            id: root

            // Moviedb App Properties
            readonly property string baseUrl: "http://api.themoviedb.org/3"
            readonly property string api_Key: "?api_key=d0a2929acb64b7c203071e87a621dfb3"

            // Home Tab
            //            Tab {
            //                title: "Home"
            //                page: HomeTab {}
            //            }

            // Movies tab
            Tab {
                title: "Movies"
                page: MovieTab {}
            }

            // TV Show Tab
            Tab {
                title: "TV"
                page: TvTab {}
            }

            // People Tab
            Tab {
                title: "People"
                page: PersonTab {}
            }

            // About Tab
            Tab {
                title: "About"
                page: About {}
            }

        }
    }
}
