WorkerScript.onMessage = function(message) {
    /*
      XML HTTP Request to retrieve the list of genres. The retrieved list is synced
      to a list model with the following structure,
        id      -> Unique ID used by the API
        name    -> Genre
      */

    var XHR = new XMLHttpRequest();

    XHR.open("GET", message.url);
    XHR.setRequestHeader("Accept", "application/json");

    XHR.onreadystatechange = function() {
        if(XHR.readyState != XHR.DONE)
            return;
        if(XHR.status != 200)
            return;

        var obj = JSON.parse(XHR.responseText);

        for(var i=0; i<obj.genres.length; i++) {
            message.model.append({"name": obj.genres[i].name,
                                     "id": obj.genres[i].id});
            message.model.sync()
        }
    };

    XHR.send();
}
