WorkerScript.onMessage = function(message) {
    /*
      XML HTTP Request to retrieve the movies of a certain genre. The retrieved
      results are synced to a list model with the following structure.
        name        -> Name of the movie
        thumb_url   -> Movie poster thumbnail
        id          -> Unique identification ID used by the API
      */

    var XHR = new XMLHttpRequest();
    var thumb_url;

    // Clear model of any data before syncing it with new data
    message.model.clear()

    XHR.open("GET", message.url);
    XHR.setRequestHeader("Accept", "application/json");

    XHR.onreadystatechange = function() {
        if(XHR.readyState != XHR.DONE)
            return;
        if(XHR.status != 200)
            return;

        var obj = JSON.parse(XHR.responseText);

        for(var i=0; i<obj.results.length; i++) {

            // Ensuring that a valid URL is always sent.
            if (obj.results[i].poster_path == null)
                thumb_url = "../graphics/toolbarIcon.png"
            else                
                thumb_url = "http://d3gtl9l2a4fn1j.cloudfront.net/t/p/" + "w185/" + obj.results[i].poster_path

            message.model.append({"name": obj.results[i].title,
                                     "thumb_url": thumb_url,
                                     "id": obj.results[i].id});
            message.model.sync()
        }
    };

    XHR.send();
}
