WorkerScript.onMessage = function(message) {
    /*
      XML HTTP Request to retrieve the details of a movie.
      */

    var XHR = new XMLHttpRequest();    
    var thumb_url;

    XHR.open("GET", message.movie_url);
    XHR.setRequestHeader("Accept", "application/json");

    XHR.onreadystatechange = function() {
        if(XHR.readyState != XHR.DONE)
            return;
        if(XHR.status != 200)
            return;

        var obj = JSON.parse(XHR.responseText);

        // Syncing the movie cast to the castModel
        for(var i=0; i<obj.credits.cast.length; i++) {
            if (obj.credits.cast[i].profile_path == null)
                thumb_url = "null"
            else
                thumb_url = "http://d3gtl9l2a4fn1j.cloudfront.net/t/p/" + "w185/" + obj.credits.cast[i].profile_path

            message.castModel.append({"name": obj.credits.cast[i].name,
                                         "character": obj.credits.cast[i].character,
                                         "id": obj.credits.cast[i].id,
                                         "iconUrl": thumb_url});
            message.castModel.sync()
        }

        // Syncing the movie crew to the crewModel
        for(var j=0; j<obj.credits.crew.length; j++) {
            message.crewModel.append({"name": obj.credits.crew[j].name,
                                         "id": obj.credits.crew[j].id,
                                         "job": obj.credits.crew[j].job});
            message.crewModel.sync()
        }

        // Obtaining movies similar to the movie currently viewed
        for(var i=0; i<obj.similar_movies.results.length; i++) {
            if (obj.similar_movies.results[i].poster_path == null)
                thumb_url = "../graphics/toolbarIcon.png"
            else
                thumb_url = "http://d3gtl9l2a4fn1j.cloudfront.net/t/p/" + "w185/" + obj.similar_movies.results[i].poster_path

            message.similarMovieModel.append({"name": obj.similar_movies.results[i].title,
                                     "thumb_url": thumb_url,
                                     "id": obj.similar_movies.results[i].id});
            message.similarMovieModel.sync()
        }

        if(obj.poster_path == null)
            thumb_url = "../../graphics/toolbarIcon.png"
        else
            thumb_url = "http://d3gtl9l2a4fn1j.cloudfront.net/t/p/" + "w185/" + obj.poster_path

        // Returning movie details such as poster path, title, description, genre, theme etc.
        WorkerScript.sendMessage({ 'poster': thumb_url,
                                     "title": obj.original_title,
                                     "description": obj.overview,
                                     "runtime": obj.runtime,
                                     "genre": obj.genres,
                                     "theme": obj.tagline,
                                     "avg_vote": obj.vote_average,
                                     "total_vote": obj.vote_count,
                                     "releasedate": obj.release_date})
    };

    XHR.send();
}
