import QtQuick 2.0
import Ubuntu.Components 0.1

Item {
    id: searchBox

    property alias defaultText: searchField.placeholderText
    property alias search_term: searchField.text
    signal searchTriggered()

    Component.onCompleted: search_timer.triggered.connect(searchTriggered)

    TextField {
        id: searchField
        anchors {
            left: parent.left
            right: parent.right
            top: parent.top
        }

        primaryItem: Image {
            height: parent.height/1.5;
            fillMode: Image.PreserveAspectFit
            source: Qt.resolvedUrl("../graphics/search_icon.svg")
        }

        Timer {
            id: search_timer
            interval: 1100
            repeat: false
        }

        placeholderText: i18n.tr("Search")
        hasClearButton: true
        onTextChanged: search_timer.restart()
    }
}

