import QtQuick 2.0
import Ubuntu.Components 0.1
import Ubuntu.Components.ListItems 0.1

Item {
    id: _searchTemplate

    // Public Properties
    property alias searchBoxText: _searchBox.defaultText
    property string search_url
    property string type
    signal resultClicked(var model)

    // Search Box to enter search query along with the search button
    SearchBox {
        id: _searchBox
        anchors {
            top: parent.top
            left: parent.left
            right: parent.right
            margins: units.gu(2)
        }
        onSearchTriggered: {
            _search_results.clear()
            _searchWorker.sendMessage({"model": _search_results, "url": search_url + "&query=" + encodeURIComponent(_searchBox.search_term), "type": type})
        }
    }

    WorkerScript {
        id: _searchWorker
        source: "../backend/Search.js"
    }

    ListModel { id: _search_results }

    ListView {
        id: _searchResultsList
        clip: true
        anchors {
            left: parent.left
            right: parent.right
            bottom: parent.bottom
            top: _searchBox.bottom
            leftMargin: units.gu(2)
            rightMargin: units.gu(2)
            bottomMargin: units.gu(2)
            topMargin: units.gu(5)
        }

        model: _search_results

        delegate: Standard {
            text: name
            icon: thumb_url == "null" ? Qt.resolvedUrl("../graphics/toolbarIcon.png") : thumb_url
            onClicked: _searchTemplate.resultClicked(model)
        }
    }
}
