import QtQuick 2.0
import Ubuntu.Components 0.1
import Ubuntu.Components.ListItems 0.1

Page {
    id: aboutPage

    Column {
        anchors.fill: parent
        anchors.topMargin: units.gu(3)
        spacing: units.gu(1)

        // App Icon
        // FIXME: Replace with proper app logo
        UbuntuShape {
            id: appIcon
            anchors.horizontalCenter: parent.horizontalCenter
            image: Image {
                source: Qt.resolvedUrl("../graphics/toolbarIcon.png")
                fillMode: Image.PreserveAspectFit
                smooth: true
            }
        }

        Label {
            text: "Cliffhanger 0.1pre"
            fontSize: "large"
            width: appIcon.width
            wrapMode: Text.WordWrap
            anchors.horizontalCenter: parent.horizontalCenter
            horizontalAlignment: Text.AlignHCenter
        }

        Subtitled {
            text: "Author"
            subText: "Nekhelesh Ramananthan"
            icon: Qt.resolvedUrl("../graphics/author.jpg")
            showDivider: false
        }

        Subtitled {
            text: "Icon and Design"
            subText: "Lucas Romero Di Benedetto"
            icon: Qt.resolvedUrl("../graphics/designer.jpg")
            showDivider: false
        }

        Subtitled {
            text: "Disclaimer"
            subText: "This product uses the TMDb API but is not endorsed or certified by TMDb.\nPowered by"
            showDivider: false

            Image {
                source: Qt.resolvedUrl("../graphics/tmdb.png")
                anchors.left: parent.left
                anchors.bottom: parent.bottom
                anchors.leftMargin: units.gu(8)
                anchors.bottomMargin: -units.gu(0.6)
                width: units.gu(12)
                fillMode: Image.PreserveAspectFit
                smooth: true
            }
        }

        Standard {
            text: "<b>Click here to report a bug</b><br>Copyright (C) 2013 Cliffhanger Dev Team"
            showDivider: false
            MouseArea {
                anchors.fill: parent
                onClicked: Qt.openUrlExternally("https://bugs.launchpad.net/cliffhanger/+filebug")
            }
        }
    }
}
