import QtQuick 2.0
import Ubuntu.Components 0.1
import "../../components"

Page {
    // Person URLs
    readonly property string popularUrl: root.baseUrl + "/person/popular" + root.api_Key;

    ListModel {
        id: popularModel
        Component.onCompleted: {
            peopleWorker.source =  "../../backend/PopularPeople.js"
            peopleWorker.sendMessage({'model': popularModel, 'url': popularUrl})
        }
    }

    WorkerScript { id: peopleWorker }

    Column {
        id: mainPeopleColumn

        anchors {
            fill: parent
            margins: units.gu(1)
        }

        spacing: units.gu(1)

        Button {
            id: search
            text: "Search Person"
            width: parent.width
            onClicked: pageStack.push(Qt.resolvedUrl("SearchPerson.qml"))
        }

        Carousel {
            id: popular
            dataModel: popularModel
            header: i18n.tr("Popular")
            onThumbClicked: pageStack.push(Qt.resolvedUrl("PersonPage.qml"), {"person_id": model.id})
        }
    }
}
