import QtQuick 2.0
import Ubuntu.Components 0.1
import "../../components"

Page {
    // Tv Show URLs
    readonly property string popularUrl: root.baseUrl + "/tv/popular" + root.api_Key;

    ListModel {
        id: popularModel
        Component.onCompleted: {
            tvPageWorker.source =  "../../backend/PopularShow.js"
            tvPageWorker.sendMessage({'model': popularModel, 'url': popularUrl})
        }
    }

    WorkerScript { id: tvPageWorker }

    Column {
        id: mainHomeColumn

        anchors {
            fill: parent
            margins: units.gu(1)
        }

        spacing: units.gu(1)

        Button {
            id: search
            text: "Search TV Show"
            width: parent.width
            onClicked: pageStack.push(Qt.resolvedUrl("SearchTv.qml"))
        }

        Carousel {
            id: popular
            dataModel: popularModel
            header: i18n.tr("Popular")
        }
    }
}
